Bug 60508 - gcc: "gcc.dg/noncompile/920923-1.c (test for excess errors)" fails
Summary: gcc: "gcc.dg/noncompile/920923-1.c (test for excess errors)" fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-28 19:23 UTC by Christopher Holmes
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-01 14:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Holmes 2002-02-28 19:23:51 UTC
Description of Problem:

	gcc: "gcc.dg/noncompile/920923-1.c (test for excess errors)" fails

Version-Release number of selected component (if applicable):

	gcc-2.96-101.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:

FAIL: gcc.dg/noncompile/20000901-2.c (test for excess errors)

Expected Results:

PASS: gcc.dg/noncompile/20000901-2.c (test for excess errors)

Additional Information:

	Expected results achieved on intel RedHat7.2

Comment 1 Beth Uptagrafft 2002-04-24 18:17:04 UTC
This testcase was issuing an extra warning that was not expected.
calloc was called with no prototype, so when the result was cast
to a pointer, the compiler was issuing a warning that the size of
calloc's return type and the pointer were different sizes. The testcase
will now allow that warning to be issued without failing.




Note You need to log in before you can comment on or make changes to this bug.